
UMC WORDPRESS THEME 3.0
===

The offical WordPress theme for The University of Utah developed and maintained by University Marketing and Communications Digital team. 

Installing to an Exsisting WordPress Instance
---------------

To manually install this theme you can download this repo and upload the entire folder `umctheme3` to your WordPress instance's theme directory via SSH/FTP. Once uploaded you can activate the theme via your WordPress Admin in `Appearance > Themes`.


Local Development
---------------

If you are installing locally to update/develop the core Javascript or Styles you will need to configure a few things in order to take advantage of compiling:

1. Copy this repo to your local WordPress instance's theme directory
2. Install Node `https://nodejs.org/`
3. Once Node is installed open `terminal` and navigate to your `umctheme3` directory and run the command `npm install`. This will install all of the Node dependancies used to compile and prettify the themes core SCSS and JS.
4. Once `npm install` has been sucessfully ran, run `npm run build` to start the build/watch process. You will want to keep this terminal open so that the process will continue running as long as you are updating SCSS or JS files. The `npm run build` command will watch for any changes in the `/js` and `/css` directories and compile them to `js/app.min.js` and `css/main.css` respectively. You should never need to edit these files directly as they will be dynamically overwritten.
5. While `npm run build` is running you can `CTRL + C` to stop the process at anytime.

That's it!


Node Dependancies Used
---------------
1. `npm node-sass` - Compiles SASS/SCSS to CSS
2. `npm onchange` - Watches for Changes
3. `npm uglify-js` - Prettifies and Compiles JS
4. `npm parallelshel` - Runs Multiple NPM Scripts Synchronously

